<!DOCTYPE html>
<html lang="no" prefix="og: http://ogp.me/ns#">
<head>
  {%include "../../includes/head_common.inc"%}
  {%include "../../includes/head_page.inc"%}
</head>
<body>
  <button onclick="topFunction()" id="myBtn" title="Tilbake til toppen"><i class="big caret up icon"></i></button>
  {%include "../../includes/sidebar.inc"%}
  {% if lodspk.isAdmin %}    
    {%include "../../includes/static_sidebar_left.inc"%}
  {% endif %}

  <div class="pusher">
    {%include "../../includes/header.inc"%}
    {%include "../../includes/header_mobile.inc"%}

    <div class="main-content-wrapper">
      <div class="fullwidth">
        <div class="ui grid">  
          <div class="ui sixteen wide column">
            <h1>Oppgave: lag metadata og publisér <span class="ui label">{{first.count.total.value}} objekt</span></h1>

            <p>Disse bildene er ikke godkjent for publiering og/eller mangler metadata. Finn objektet i Protége ved hjelp av signaturen.</p>

            <script src="{{lodspk.home}}js/holder.js"></script>

            {% if first.count.total.value > 50 %}
            <div>
              <script>
                if ("{{lodspk.args.arg0}}".length < 1)
                  {page = 0;}
                else {page = "{{lodspk.args.arg0}}";}
                if ("{{lodspk.args.arg0}}".length > 0)
                  {page=parseInt(page)}
                else {}
                  var offset = 50;

                var nextPage = page+offset;
                var prevPage = page-offset;
                var next_uri = '{{lodspk.home}}add-metadata/'+ nextPage;
                var prev_uri = '{{lodspk.home}}add-metadata/'+ prevPage;
                document.write('<ul class="pager">');
                if (prevPage === 0){
                  document.write('<li><a href="{{lodspk.home}}add-metadata/" id="prev">Forrige 50</a></li>');
                }       
                else if ("{{lodspk.args.arg0}}".length > 1){
                  document.write('<li><a href="" class="prev">Forrige 50</a></li>');
                  $(".prev").attr("href",prev_uri);
                };

                if ({{first.count.total.value}} > nextPage){
                  document.write('<li><a href="" class="next">Neste 50</a></li>');
                  $(".next").attr("href",next_uri);
                };
                document.write('</ul>');
              </script>   
            </div>
            {% endif %}

            <div class="ui grid">
              {% for row in models.main %}
              <div class="four wide column">
                <div class="">      
                  <a href="{{ row.uri.value }}">
                    <div class="">
                      <h3>{{ row.title.value }}</h3>
                      <p>{{ row.identifier.value }}</p>
                    </div>
                  </a>
                  <a href="{{ row.uri.value }}"><img class="" {% if row.image %}src="{{row.image.value}}"{%else%}data-src="holder.js/250x250"{%endif%} alt=""></a>
                </div>
              </div>  
              {% endfor %}
            </div>



            {% if first.count.total.value > 50 %}
            <div>
              <script>
                if ("{{lodspk.args.arg0}}".length < 1)
                  {page = 0;}
                else {page = "{{lodspk.args.arg0}}";}
                if ("{{lodspk.args.arg0}}".length > 0)
                  {page=parseInt(page)}
                else {}
                  var offset = 50;

                var nextPage = page+offset;
                var prevPage = page-offset;
                var next_uri = '{{lodspk.home}}add-metadata/'+ nextPage;
                var prev_uri = '{{lodspk.home}}add-metadata/'+ prevPage;
                document.write('<ul class="pager">');
                if (prevPage === 0){
                  document.write('<li><a href="{{lodspk.home}}add-metadata/" id="prev">Forrige 50</a></li>');
                }       
                else if ("{{lodspk.args.arg0}}".length > 1){
                  document.write('<li><a href="" class="prev">Forrige 50</a></li>');
                  $(".prev").attr("href",prev_uri);
                };

                if ({{first.count.total.value}} > nextPage){
                  document.write('<li><a href="" class="next">Neste 50</a></li>');
                  $(".next").attr("href",next_uri);
                };
                document.write('</ul>');
              </script>   
            </div>
            {% endif %}

          </div>
        </div>
      </div>
    </div>
  </div>
  <script type="text/javascript" src="{{lodspk.home}}js/backtotop/backtotop.js"></script>
  {%include "../../includes/footer.inc"%}
</body>
</html>